      PROGRAM integratemd
C     Solve diffequ for MD porblem
      INTEGER KMAXX,NMAX,NVARS
      PARAMETER (KMAXX=200,NMAX=50,NVARS=12)
      INTEGER kmax,kount,nbad,nok,i
      REAL dxsav,eps,hstart,time1,time2,w(NVARS)
      COMMON /path/ kmax,kount,dxsav,xp(KMAXX),yp(NMAX,KMAXX)
	REAL ma,mb
	REAL r0, well, range,JAB, rab,QAB
	common /potent/r0, well, range, JAB, rAB,QAB

	COMMON /masses/ma,mb
      EXTERNAL stiff,derivs,rkqs
	ma=1.
	mb=35.
	kmax=0
	hstart=1.e-3
	eps=1.e-6
	r0=2.
	well=5.
	range=1

c
c  The k's re the rate constants   
      time2=0.
c
      w(1)=-10
      w(2)=0.
      w(3)=0.
	w(4)=0.
	w(5)=0
	w(6)=0.
	w(7)=1.0
	w(8)=0.
	w(9)=0.
	w(10)=0.
	w(11)=0.
	w(12)=0.

c  next open data file and write out initial conditions
	open(unit=4,file='traject.txt',action='write',status='replace')
      
      write(4,100)vab,time2, (w(i),i=1,12)
      write(6,100)vab,time2,w(1),w(7)
      
	
c next start solving the equation
     
      do while ((time2.lt. (20.))
	1 .and. (w(1).gt.(-10.1))
	2 .and. (w(1).lt.(10.1)))
	time1=time2
	time2=time1+0.1
c
c odeint integrates the rate equation from time1 to time2
c
c note: change "stiff" to "rkqs" in the call odeint statement
c if you want to use runge kutta rather than a stiff solver
c
	call odeint(w,NVARS,time1,time2,eps,hstart,
	1 0,nok,nbad,derivs,
	2  rkqs)

100	format(1x,f5.2,12("'", 2x,f7.3))
      write(4,100)time2, (w(i),i=1,12)
      write(6,100)time2,w(1),w(7)
	
10	end do
	
      write(*,'(/1x,a,t30,i3)') 'Successful steps:',nok
      write(*,'(1x,a,t30,i3)') 'Bad steps:',nbad
999   write(*,*) 'NORMAL COMPLETION'
      STOP
      END
